# -*- coding: utf-8 -*-

from Mapa_PU.swdl.model.swdl.header import Header
from Mapa_PU.swdl.model.swdl.forest_map_no_sf import ForestMapNoSF

class Swdl():
    """Klasa reprezentujaca obiekt swdl
"""
    #def __init__(self):
        
    @property
    def header(self):
        ##naglowek
        return self.__header
    @header.setter 
    def header(self,Header):
        ##Wstawia obiekt naglowka
        self.__header=Header
        
    @property
    def forest_data_desc(self):
        ##obiekt forest data desc
        return self.__forest_data_desc
    @forest_data_desc.setter
    def forest_data_desc(self,value):
        self.__forest_data_desc=value
        
    @property
    def subarea_data_list(self):
        ##lista obiektów subarea data
        return self.__subarea_data_list
    @subarea_data_list.setter
    def subarea_data_list(self,value):
        self.__subarea_data_list=value
        
    @property
    def forest_global_data(self):
        ##obiekt danych globalnych
        return self.__forest_global_data
    @forest_global_data.setter
    def forest_global_data(self,value):
        self.__forest_global_data=value
        
    @property
    def forest_map_no_sf(self):
        return self.__forest_map_no_sf
    @forest_map_no_sf.setter
    def forest_map_no_sf(self,value):
        self.__forest_map_no_sf=value
        
    @property
    def forest_natural_values(self):
        return self.__forest_natural_values
    @forest_natural_values.setter
    def forest_natural_values(self,value):
        self.__forest_natural_values=value